<ion-content>
  <div class="container header">
      <img src="assets/icon/arrow.svg" (click)="arrowBack()">
    <div class="title">
      <div class="container-flex">
        <h1 *ngIf="order" class="item flex-grow-item">Commande n° {{order.id}}</h1>
        <img src="assets/icon/next.svg" class="item icon">
      </div>
    </div>
    <hr>
  </div>

  <div class="info-card container">

      <div class="flex product">
        <div class="container-flex">
          <p class="big-text item flex-grow-item">Statut :</p>
          <p class="big-text item flex-grow-item statut" [ngStyle]="{'color': statutColor}"><strong>{{text}}</strong></p>
        </div>
        <p *ngIf="order" class="big-text date">{{order.createdAt | date: 'dd/MM/yyyy'}}</p>
      </div>

    <div class="flex">
      <div class="container-flex">
        <p class="big-text item flex-grow-item drop-date">Date de livraison :</p>
        <ion-item lines="none" class="item date-input">
              <ion-input placeholder="01/01/2021" type="date" class="myinput"></ion-input>
        </ion-item>
      </div>
    </div>
  </div>
    <div class="container lg-space">
      <ion-button class="agri-btn centered-obj" (click)="presentActionSheet()">Changer le statut de commande</ion-button>
    </div>


  <div class="container flex lg-space bodyContent" *ngIf="data">
      <h2><strong *ngIf="order">{{count}}</strong> produits commandés</h2>
    <div *ngIf="order">
      <div *ngFor="let card of order.cards">
      <div *ngIf="card" class="container-flex three-columns lg-space">
        <div class="big-item-one img-container">
          <img src="{{card.product.photo}}" alt="product-picture" class="img">
        </div>
        <div class="big-item-two">
          <p class="big-text prod-name mg-bottom-sm">{{card.product.name}}</p>
          <div class="container-flex">
            <div class="item"><p class="small-text">Le {{card.product.unity}}</p></div>
            <div class="item"><p class="small-text align-right">{{card.product.price}} CHF</p></div>
          </div>
          <div class="container-flex">
            <div class="item"><p class="small-text">Quantité :</p></div>
            <div class="item"><p class="big-text align-right"><strong>{{card.quantity}}</strong></p></div>
          </div>
        </div>
        <div class="big-item-three">
          <img src='assets/icon/{{imgName}}.svg' class="icon img" (click)="changeIcon()">
        </div>
      </div>
      </div>
    </div>
  </div>

  <div *ngIf="order">
    <div  class="container flex thin-container">
      <hr>
      <div class="container-flex thin-container">
        <div class="item"><h2 ><strong>Total</strong></h2></div>
        <div class="item"><h2 class=" align-right"><strong>{{order.total}} CHF</strong></h2></div>
      </div>
      <hr>
    </div>

    <div class="client flex container">
      <div class="title md-space">
        <div class="container-flex">
          <h2 class="item flex-grow-item">Ton client</h2>
          <img src="assets/icon/phone.svg" class="item icon">
        </div>
      </div>
      <div class="info-card">
        <div class="container-flex client-info">
          <div *ngIf="order" class="item">
            <h3>{{order.buyer.firstName}} {{order.buyer.lastName}}</h3>
            <p class="small-text">{{order.buyer.deliveryAddress}}, <br> {{order.buyer.deliveryPostalCode}} {{order.buyer.deliveryCity}} <br> Vaud <br> {{order.buyer.country}}</p>
          </div>
          <div class="paiement item">
            <div class="container-flex">
              <img src="assets/icon/check.svg" alt="check" class="icon">
              <p class="mini-text">Payée</p>
            </div>
            <p class="mini-text centered md-space">Le 30.08.2021</p>

          </div>
        </div>
        <div class="container">
          <a href="marketplace/farms" class="link"><p class="centered">Voir sur la carte</p></a>
        </div>
      </div>
    </div>
    <div class="container mg-bottom" *ngIf="order">
      <h2 class="lg-space">Etat actuel du stock</h2>
      <div class="stock-card flex sm-space" *ngFor="let card of order.cards">
        <div *ngIf="card">
          <div class="label product-name">{{card.product.name}}</div>
          <div class="container-flex label stock">
            <div class="item small-text">Status du stock: </div>
            <div class="item small-text"><strong>Faible</strong></div>
            <div class="item color-chip low"></div>
          </div>
          <div class="label mini-text quantity">10 / 42 KG restants</div>
        </div>

      </div>
    </div>
  </div>

    <!-- Skeleton screen -->
  <div *ngIf="!data" class="skeleton container flex lg-space ">
    <ion-list>
      <ion-label>
        <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
      </ion-label>

        <ion-item lines="none" class="item" style="height: 145px">
          <ion-thumbnail class="skeleton-item" slot="start">
            <ion-skeleton-text animated></ion-skeleton-text>
          </ion-thumbnail>
        </ion-item>
        <ion-item lines="none" class="item" style="height: 145px">
          <ion-thumbnail class="skeleton-item" slot="start">
            <ion-skeleton-text animated></ion-skeleton-text>
          </ion-thumbnail>
        </ion-item>
        <ion-item lines="none" class="item" style="height: 145px">
          <ion-thumbnail class="skeleton-item" slot="start">
            <ion-skeleton-text animated></ion-skeleton-text>
          </ion-thumbnail>
        </ion-item>
    </ion-list>
  </div>

  <div class="footer">
    <ion-tabs>
      <ion-tab-bar slot="bottom" position="sticky">
        <a href="/homepage-agriculteur-full" class="menu-link">
          <ion-tab-button>
            <ion-icon name="home" class="tab-inactive"></ion-icon>
            <ion-label>Home</ion-label>
          </ion-tab-button>
        </a>
        <a href="/myproducts" class="menu-link">
          <ion-tab-button>
            <ion-icon name="nutrition" class="tab-inactive"></ion-icon>
            <ion-label>Produits</ion-label>
          </ion-tab-button>
        </a>
        <a href="/myorders"  class="menu-link">
          <ion-tab-button>
            <ion-icon name="cart" class="icon-active"></ion-icon>
            <ion-label class="label-active">Commandes</ion-label>
            <ion-badge color="danger">1</ion-badge>
          </ion-tab-button>
        </a>
        <a href="/profil-agriculteur" class="menu-link">
          <ion-tab-button>
            <ion-icon name="person" class="tab-inactive"></ion-icon>
            <ion-label>Profil</ion-label>
          </ion-tab-button>
        </a>
      </ion-tab-bar>
    </ion-tabs>
  </div>


</ion-content>
